
Name:           bemacs
Version:        8.10.0
Release:        2%{?dist}
Summary:        Barry's Emacs

License:        ASL 2.0
URL:            http://barrys-emacs.org/
Source0:        http://barrys-emacs.org/source_kits/%{name}-%{version}.tar.gz


Requires: bemacs-cli = %{version}-%{release}
Requires: bemacs-gui = %{version}-%{release}
Requires: python3

BuildRequires: gcc-c++
BuildRequires: hunspell
BuildRequires: hunspell-devel
BuildRequires: libssh-devel
BuildRequires: python3 >= 3.4
BuildRequires: python3-devel >= 3.4
BuildRequires: python3-pycxx-devel >= 7.1.3
BuildRequires: python3-pyqt6
BuildRequires: sqlite-devel

%prep
# unpack Source0
%setup

%build
true

%install
echo Info: Install PWD $( pwd )

export BUILDER_TOP_DIR=$( pwd )
export PYTHON=/usr/bin/python3

cd ${BUILDER_TOP_DIR}/Builder
export DESTDIR=%{buildroot}
/usr/bin/python3 build_bemacs.py gui '--default-font-name=Fira Mono' '--no-warnings-as-errors' '--pyqt-version=6' '--system-hunspell' '--system-pycxx' '--system-sqlite'

# creating the debug info RPM uses objcopy that needs the files to be writeable.
if [ -e %{buildroot}/usr/bin/bemacs_server ]
then
    chmod +w %{buildroot}/usr/bin/bemacs
    chmod +w %{buildroot}/usr/bin/bemacs_server
    chmod +w %{buildroot}/usr/lib/bemacs/_bemacs.so
fi
chmod +w %{buildroot}/usr/bin/bemacs-cli

mkdir -p %{buildroot}%{_mandir}/man1
gzip -c ${BUILDER_TOP_DIR}/Kits/Linux/bemacs.1 > %{buildroot}%{_mandir}/man1/bemacs.1.gz

mkdir -p %{buildroot}/usr/share/bemacs
cp ${BUILDER_TOP_DIR}/Editor/PyQt6/org.barrys-emacs.editor.png %{buildroot}/usr/share/bemacs/org.barrys-emacs.editor.png
mkdir -p %{buildroot}/usr/share/applications
cp ${BUILDER_TOP_DIR}/Kits/Linux/org.barrys-emacs.editor.desktop %{buildroot}/usr/share/applications/org.barrys-emacs.editor.desktop


%description
Barry's Emacs
* Easy to get started with Emacs
* Uses original MockLisp extension language
* UI implemented using Python3 and PyQt

Built from f8bb153b480933bd50229946a2ae17f8558b5e03

%package gui
Summary: Barry's Emacs GUI version
Group: Applications/Editors
Requires: bemacs-common = %{version}-%{release}
Requires: hunspell
Requires: libssh
Requires: mozilla-fira-mono-fonts
Requires: python3 >= 3.4
Requires: python3-pyqt6
Requires: sqlite

%description gui
Barry's Emacs
* Easy to get started with Emacs
* Uses original MockLisp extension language
* UI implemented using Python3 and PyQt

Built from f8bb153b480933bd50229946a2ae17f8558b5e03

%package cli
Summary: Barry's Emacs CLI version
Group: Applications/Editors
Requires: bemacs-common = %{version}-%{release}
Requires: hunspell
Requires: libssh
Requires: sqlite

%description cli
Barry's Emacs
* Easy to get start with Emacs
* Uses original MockLisp extension language
* Command line version for terminal

Built from f8bb153b480933bd50229946a2ae17f8558b5e03

%package common
Summary: Barry's Emacs common files
Group: Applications/Editors

%description common
Barry's Emacs common files used by
bemacs-gui and bemacs-cli

%files

%files gui
%defattr(-, root, root, -)
/usr/bin/bemacs
/usr/bin/bemacs_server
/usr/lib/bemacs/*.py
/usr/lib/bemacs/_bemacs.so
/usr/lib/bemacs/__pycache__/*
/usr/share/bemacs/org.barrys-emacs.editor.png
/usr/share/applications/org.barrys-emacs.editor.desktop

%files cli
%defattr(-, root, root, -)
/usr/bin/bemacs-cli

%files common
%defattr(-, root, root, -)
/usr/share/doc/bemacs/*
/usr/lib/bemacs/*.db
/usr/lib/bemacs/*.ml
%attr(0644,root,root) %{_mandir}/man1/bemacs.1.gz

%changelog
* Wed Sep 18 2024 Barry Scott <barry@barrys-emacs.org> - 8.10.0-2
- Specfile create by package_bemacs.py
